<div class="table-responsive" *ngIf="facility.length > 0;else no_data">
    <table class="table org-table" [mfData]="facility" [mfRowsOnPage]="paginationOrgInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationOrgInfo.facilitysortBy" [(mfSortOrder)]="paginationOrgInfo.facilitysortOrder">
        <thead>
            <tr>
                <th>
                    <mfDefaultSorter by="name" class="sorter"> Facility Name </mfDefaultSorter>
                    <!-- <span class="glyphicon glyphicon-filter">&nbsp;</span> -->
                </th>
                <th>
                    <mfDefaultSorter by="address.city" class="sorter">Location</mfDefaultSorter>
                </th>
                <th><mfDefaultSorter by="facilityType" class="sorter">Facility Type</mfDefaultSorter></th>
                <th><mfDefaultSorter by="status" class="sorter">Status</mfDefaultSorter></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let facility of mf.data">
                <td>
                    <!-- <input type="checkbox" name="" /> -->
                   <a (click)="editFacility(facility)" href="javascript:void(0);"> {{facility.name}}</a>
                </td>
                <td>
                    {{facility.address.city}} {{facility.address.city ? ',': ''}} {{facility.address.stateCode}} {{ facility.address.stateCode ? ',' :''}} {{facility.address.postcode}} {{ facility.address.postcode ? ',': ''}} {{facility.address.countryCode}}
                </td>
                <td>{{facility.facilityType}}</td>
                <td><svg class="svg-icon" [ngSwitch]="facility.status">
                    <use *ngSwitchCase="1" [attr.xlink:href]="statusSvg[1]"></use>
                    <use *ngSwitchCase="true" [attr.xlink:href]="statusSvg[1]"></use>
                    <use *ngSwitchCase="0" [attr.xlink:href]="statusSvg[0]"></use>
                    <use *ngSwitchCase="false" [attr.xlink:href]="statusSvg[0]"></use>
                    </svg></td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="4"></td>
            </tr>
        </tfoot>
        <tr>
            <td colspan="4" class="text-right">
                <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
            </td>
        </tr>
    </table>
</div>
<ng-template #no_data>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
        No Facilities exists
    </div>
</ng-template>
